/* assets/css/components/_animations.css */

/* Animações de entrada (fade-in) */
.fade-in-section {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-in-section.visible {
    opacity: 1;
    transform: translateY(0);
}

/* Animação de scroll infinito para os logos */
.animate-scroll {
    animation: scroll 40s linear infinite;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* Animação para o indicador "Digitando..." */
.typing-indicator span {
    animation: blink 1.4s infinite both;
    display: inline-block;
}

.typing-indicator span:nth-child(1) {
    animation-delay: 0s;
}

.typing-indicator span:nth-child(2) {
    animation-delay: 0.2s;
}

.typing-indicator span:nth-child(3) {
    animation-delay: 0.4s;
}

@keyframes blink {
    0% {
        opacity: 0.2;
    }
    20% {
        opacity: 1;
    }
    100% {
        opacity: 0.2;
    }
}

/* Media Query para acelerar a animação em telas menores */
@media (max-width: 768px) {
    .animate-scroll {
        animation: scroll 20s linear infinite;
    }
}
